| dppsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_common_example.c File Reference

## Overview

Contains a design example using the XDpPsu driver.

It performs a self test on the DisplayPort TX core by training the main link at the maximum common capabilities between the TX and RX and checking the lane status.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  09/17/17 Initial creation.

## Functions
u32 | DpPsu_Run (XDpPsu *InstancePtr)
| This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link. More...
u32 | DpPsu_SetupExample (XDpPsu *InstancePtr, u16 DeviceId)
| This function will setup and initialize the DisplayPort TX core. More...
u32 | DpPsu_StartLink (XDpPsu *InstancePtr)
| This function will configure and establish a link with the receiver device. More...

## Function Documentation

u32 DpPsu_Run | ( | XDpPsu * | InstancePtr | ) |

This function will configure and establish a link with the receiver device, afterwards, a video stream will start to be sent over the main link.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.

Returns
  - XST_SUCCESS if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References DpPsu_StartLink().

u32 DpPsu_SetupExample | ( | XDpPsu * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function will setup and initialize the DisplayPort TX core.

The core's configuration parameters will be retrieved based on the configuration to the DisplayPort TX core instance with the specified device ID.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  DeviceId | is the unique device ID of the DisplayPort TX core instance.

Returns
  - XST_SUCCESS if the device configuration was found and obtained and if the main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References XDpPsu_Config::BaseAddr, XDpPsu_CfgInitialize(), XDpPsu_InitializeTx(), and XDpPsu_LookupConfig().

Referenced by DpPsu_IntrExample(), and DpPsu_PollExample().

u32 DpPsu_StartLink | ( | XDpPsu * | InstancePtr | ) |

This function will configure and establish a link with the receiver device.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.

Returns
  - XST_SUCCESS the if main link was successfully established.
  - XST_FAILURE otherwise.

Note
  None.

References XDpPsu_Config::BaseAddr, XDpPsu::Config, XDpPsu_LinkConfig::LaneCount, XDpPsu::LinkConfig, XDpPsu_LinkConfig::LinkRate, XDpPsu_LinkConfig::MaxLaneCount, XDpPsu_LinkConfig::MaxLinkRate, XDpPsu_CfgMainLinkMax(), XDpPsu_CheckLinkStatus(), XDpPsu_EstablishLink(), XDpPsu_GetRxCapabilities(), XDPPSU_LINK_BW_SET, XDpPsu_ReadReg, XDpPsu_SetDownspread(), XDpPsu_SetEnhancedFrameMode(), XDpPsu_SetLaneCount(), and XDpPsu_SetLinkRate().

Referenced by DpPsu_Run().